/*
Copyright (c) 2015 Red Hat, Inc.
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

package org.ovirt.engine.sdk4.types;

import java.math.BigInteger;

/**
 * Determines maximum speed of consumption of bytes from random number generator device.
 */
public interface Rate {
    BigInteger bytes();
    Byte bytesAsByte();
    Short bytesAsShort();
    Integer bytesAsInteger();
    Long bytesAsLong();
    
    boolean bytesPresent();
    
    BigInteger period();
    Byte periodAsByte();
    Short periodAsShort();
    Integer periodAsInteger();
    Long periodAsLong();
    
    boolean periodPresent();
    
}
